Langsung ke konten utama
POST
/
v3
/
waba-accounts
/
{id}
/
sync
Sync a WABA account
curl --request POST \
  --url https://api.scalev.com/v3/waba-accounts/{id}/sync \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "unique_id": "waba_abc123",
  "waba_id": "<string>",
  "phone_number_id": "<string>",
  "display_phone_number": "<string>",
  "store": {
    "id": 123,
    "unique_id": "store_abc123",
    "name": "<string>",
    "logo": "<string>"
  },
  "verified_name": "<string>",
  "is_webhooks_subscribed": true,
  "is_pin_enabled": true,
  "status": "<string>",
  "phone_status": "<string>",
  "dataset_id": "<string>",
  "marketing_messages_onboarding_status": "<string>",
  "is_on_biz_app": true,
  "runtime_owner": "<string>",
  "updates": [
    {}
  ],
  "inserted_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

id
string
wajib

Respons

WABA account

id
integer
wajib
unique_id
string
wajib
Contoh:

"waba_abc123"

waba_id
string
wajib
phone_number_id
string
wajib
display_phone_number
string
wajib
store
object
wajib

Assigned store. null when the WABA account is unassigned.

verified_name
string | null
is_webhooks_subscribed
boolean
is_pin_enabled
boolean | null
status
string | null
phone_status
string | null
dataset_id
string | null
marketing_messages_onboarding_status
string | null
is_on_biz_app
boolean
runtime_owner
string | null
updates
object[] | null
inserted_at
string<date-time>
updated_at
string<date-time>